Package ghidra.framework.main.datatree

# Class VersionHistoryDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.framework.main.datatree.VersionHistoryDialog

All Implemented Interfaces:
  `ActionContextProvider`, `ProjectListener`, `StatusListener`, `TaskListener`

public class VersionHistoryDialog extends DialogComponentProvider implements ProjectListener

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionHistoryDialog(DomainFile domainFile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dialogClosed()`
  Override this method if you want to do something when the dialog is made invisible
  `protected void`
  `dialogShown()`
  Override this method if you want to do something when the dialog is made visible
  `ActionContext`
  `getActionContext(MouseEvent event)`
  An optional extension point for subclasses to provider action context for the actions used by this provider.
  `void`
  `projectClosed(Project project)`
  Notification that the given project is closed.
  `void`
  `projectOpened(Project project)`
  Notification that the given project is open.

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, createSharedActions, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, okCallback, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VersionHistoryDialog

    public VersionHistoryDialog(DomainFile domainFile)

- ## Method Details

  - ### dialogShown

    protected void dialogShown()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made visible
    Overrides:
      `dialogShown` in class `DialogComponentProvider`

  - ### dialogClosed

    protected void dialogClosed()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made invisible
    Overrides:
      `dialogClosed` in class `DialogComponentProvider`

  - ### projectClosed

    public void projectClosed(Project project)
    Description copied from interface: `ProjectListener`
    Notification that the given project is closed.
    Specified by:
      `projectClosed` in interface `ProjectListener`
    Parameters:
      `project` - project that is closed

  - ### projectOpened

    public void projectOpened(Project project)
    Description copied from interface: `ProjectListener`
    Notification that the given project is open.
    Specified by:
      `projectOpened` in interface `ProjectListener`
    Parameters:
      `project` - project that is opened

  - ### getActionContext

    public ActionContext getActionContext(MouseEvent event)
    Description copied from class: `DialogComponentProvider`
    An optional extension point for subclasses to provider action context for the actions used by this provider.
    Specified by:
      `getActionContext` in interface `ActionContextProvider`
    Overrides:
      `getActionContext` in class `DialogComponentProvider`
    Parameters:
      `event` - The mouse event used (may be null) to generate a popup menu